<div class="grid">
    <div class="col-12 md:col-6">
        <div class="card">
            <div class="flex justify-content-between flex-wrap">
                <p-button label="จองคิว" icon="pi pi-calendar" size="small" (click)="navigateToOtherPage()"></p-button>
            </div>
            <!-- <div class="col">
                <h5>ประวัติการจอง</h5>
            </div> -->
            <p-fieldset  [toggleable]="true" [collapsed]="true" *ngFor="let event of events" [ngStyle]="{'margin': '10px'}">
                <ng-template pTemplate="header">
                    <div class="flex align-items-center gap-2 px-2">
                        <p-avatar image="{{event.service_type[0].icon_filename}}" size="large" shape="circle"></p-avatar>
                        <p class="p-text-secondary">วันที่ : {{thaiDateFormat(event.slot_date)}}<br>คลินิก : {{event.service_name}} / {{event.slot_name}}</p>
                    </div>
                </ng-template>                
                <div class="row" style="padding: 4px; border-radius: 4px;">
                        <div class="pl-1">                           
                            <span class="block" style="margin-bottom: 7px;"><i class="pi pi-building"></i> : {{event.hospital_name}}</span>
                            <span class="text-color-secondary block" style="margin-bottom: 7px;"><i class="pi pi-user"></i> : คุณ{{event.customer[0].customer_name}}</span>
                            <span class="text-color-secondary block" style="margin-bottom: 7px;"><i class="pi pi-ticket"></i> : {{event.service_type[0].service_type_name}}</span>
                            <span class="text-color-secondary block" style="margin-bottom: 7px;"><i class="pi pi-info-circle"></i> : {{event.is_confirm}} {{event.reserve_note}}</span>
                            <button type="button" pButton icon="pi pi-id-card" class="p-button-raised p-button-info flex align-self-center" (click)="appointCard(event.reserve_id)" label="บัตรนัด"></button>               
                        </div>
                    </div>               
            </p-fieldset>            
        </div>
    </div>
</div>
